/**********************************************************************/
/**
 * @file lcd.h
 * ITF-SingleHost TvLCDW[.
 *
 * @author T.Tanaka
 * $Date: 2013/04/01 $
 * $Revision: $
 *
 * Copyright (c) 2013 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2013/04/01 ITF Tanaka    VK쐬
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef LCD_H__
#define LCD_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/
#include "itflib.h"

/*------------------------------------------*/
/*				Jϐ					*/
/*------------------------------------------*/
ibool	Lcd_Init(void);
ibool	Lcd_Clear(void);
ibool	Lcd_Puts(int column, int row, const char *str);

#endif /* LCD_H__ */
