/**********************************************************************/
/**
 * @file timer.h
 * ITF-SingleHost Tv^C}W[
 *
 * @author T.Tanaka
 * $Date: 2013/04/02 $
 * $Revision: $
 *
 * Copyright (c) 2013 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2013/04/02 ITF Tanaka    VK쐬
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef TIMER_H__
#define TIMER_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/
#include "itflib.h"

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/
typedef void (*TIMER_CALLBACK)(void);

/*------------------------------------------*/
/*				Jϐ					*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				J֐					*/
/*------------------------------------------*/
/* ^C} */
ibool		Timer_Init(uint16_t period, TIMER_CALLBACK callback);
ibool		Timer_Start(void);
ibool		Timer_Stop(void);
uint32_t	Timer_GetTickCount(void);

/* Ԍvp^C} */
void Timer2_Start(void);
uint32_t Timer2_Stop(void);

#endif /* TIMER_H__ */
