/**********************************************************************/
/** @defgroup ITFLIB ITFLIBCu */
/**
 * @ingroup ITFLIB
 * @file itflib.h
 * ITFLIBCu CN[ht@C.
 *
 * @author M.Furuta
 * $Date: 2004/11/08 08:05:59 $
 * $Revision: 1.1.1.1 $
 *
 * Copyright (c) 2003-2005 Interface Inc. All Rights reserved.
 * 
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2004/02/20 ITF Furuta     VK쐬
 * 001 01.03 ǉ 2005/03/02 ITF Takasaki   ITFLib_Version()̒`ǉB
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef __ITFLIB_H__
#define __ITFLIB_H__
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/
#define __ITFLIB_VERSION__			"01.00"				/**< ITFLIBo[W */
#define __ITFLIB_REVISION__			"01.00"				/**< ITFLIBrW */


/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/
/*
	WCũwb_t@CCN[h܂B
		WCuƎɍ쐬Ăꍇ́ACN[ht@CuĉB
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


/*
	ITFLIBCũwb_t@CB
*/
#include "itfconfig.h"
#include "itftypes.h"
#include "itferror.h"
#include "itfos.h"
#include "itfdebug.h"

/*------------------------------------------*/
/*				}N						*/
/*------------------------------------------*/

/*
	召r}N
*/
#ifndef min
 #define min(a,b)  (((a)<(b))?(a):(b))
#endif
#ifndef max
 #define max(a,b)  (((a)>(b))?(a):(b))
#endif

/*------------------------------------------*/
/*				֐						*/
/*------------------------------------------*/
ISTATUS ITFLib_Version(int16_t *major, int16_t *minor);


#ifdef __cplusplus
}
#endif
#endif	/* __ITFLIB_H__ */
