/**********************************************************************/
/**
 * @ingroup SINGLEHOST_API
 * @file singlehosterror.h
 * ITF-SINGLEHOST G[R[h`t@C.
 *
 * @author  z
 * $Date: 2005/07/01 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2005-2006 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2005/07/01 ITF Endo      VK쐬
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef SINGLEHOSTERROR_H__
#define SINGLEHOSTERROR_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/

/**
 * @brief G[R[h
 */
enum {
	/* standard */
	NE_XXX								=	(-20001),		/**< G[ */
	NE_PENDING							=	(-20002),		/**< yfBO */
	NE_CANCELED							=	(-20003),		/**< LZ */
	NE_INVALID_HANDLE					=	(-20004),		/**< nhُ */
	NE_TIMEOUT							=	(-20005),		/**< ^CAEg */
	NE_INVALID_PARAMETER				=	(-20006),		/**< p[^ُ */
	NE_NO_RESOURCE						=	(-20007),		/**< \[XȂ */
	NE_NO_SECURE_RESOURCE				=	(-20008),		/**< ̃\[X͖o^ */
	NE_NO_DEVICE_HANDLE					=	(-20009),		/**< foCXnhȂ */
	NE_INVALID_IO						=	(-20010),		/**< sh^n */

	/* system */
	NE_INVALID_MAJOR_CODE				=	(-20101),		/**< W[R[hُ */
	NE_INVALID_MINOR_CODE				=	(-20102),		/**< }Ci[R[hُ */
	NE_INVALID_DEVICE					=	(-20103),		/**< foCXُ */
	NE_INVALID_DEVICE_HANDLE			=	(-20104),		/**< foCXnhُ */
	NE_INVALID_DEVICE_NAME				=	(-20105),		/**< foCXُ */
	NE_INVALID_DEVICE_INDEX				=	(-20106),		/**< foCXCfbNXُ */
	NE_NOT_ALLOCATED_DEVICE_MEMORY		=	(-20107),		/**< foCXmێs */
	NE_NOT_DEVICE_ENABLE				=	(-20108),		/**< foCX͗LłȂ */
	NE_NOT_DEVICE_DISABLE				=	(-20109),		/**< foCX͖łȂ */
	NE_NOT_BUS_SUPPORTED				=	(-20110),		/**< oXT|[gĂȂ */
	NE_NOT_SUPPORT_OPERATION			=	(-20111),		/**< Iy[VΉ */
	NE_IRP_NO_QUEUE						=	(-20112),		/**< hqoL[ɂȂ */
	NE_IRP_NOT_COMPLETE					=	(-20113),		/**< hqołȂ */
	NE_IRP_NOT_CANCEL					=	(-20114),		/**< hqoLZłȂ */
	NE_IRP_ALREADY_COMPLETE				=	(-20115),		/**< hqo͊ɊĂ܂ */
	NE_NO_IRP_RESOURCE					=	(-20116),		/**< hqö悪Ȃ */
	NE_NO_BUS							=	(-20117),		/**< oX܂ */
	NE_NO_BUS_DEVICE					=	(-20118),		/**< oXfoCX܂ */
	NE_NO_DRIVER						=	(-20119),		/**< hCoȂ */
	NE_SYSTEM_BUSY						=	(-20120),		/**< VXerW[ */
	NE_SYSTEM_ENABLE					=	(-20121),		/**< VXerW[ */
	NE_SYSTEM_DISABLE					=	(-20122),		/**< VXerW[ */
	NE_SHORT_LENGTH_RETURN				=	(-20123),		/**< vTCY菬TCYԂ܂ */
	NE_FAILED_NMB_INIT					=	(-20124),		/**< nmb̏Ɏs */

	/* device */
	NE_DEVICE_BUSY						=	(-20201),		/**< foCX̓rW[ł */
	NE_DEVICE_ABORT						=	(-20202),		/**< foCX͒~Ă܂ */
	NE_DEVICE_SUSPEND					=	(-20203),		/**< foCX̓TXyhĂ܂ */
	NE_DEVICE_ALREADY_SUSPENDED			=	(-20204),		/**< foCX͊ɃTXyhĂ܂ */
	NE_DEVICE_ALREADY_EXECUTION			=	(-20205),		/**< foCX͊ɋNĂ܂ */
	NE_DEVICE_NO_BUS					=	(-20206),		/**< foCXɑΉoX܂ */
	NE_BUS_SUSPENDED					=	(-20207),		/**< oXTXyhĂ܂ */
	NE_DEVICE_STATUS					=	(-20208),		/**< foCXXe[^Xُ */

	/* driver */
	NE_NOT_OPENED						=	(-20301),		/**< I[vł܂ */
	NE_NO_DATA							=	(-20302),		/**< f[^܂ */
	NE_NOT_SUPPORTED					=	(-20303),		/**< T|[gĂ܂ */
	NE_FIFO_OVER						=	(-20305),		/**< ehenI[o[ */
	NE_NOT_CMD_SUPPORTED				=	(-20306),		/**< R}hΉ */
	NE_INVALID_OPEN_NAME				=	(-20307),		/**< I[vُ */
	NE_NO_MEDIUM						=	(-20308),		/**< fBA܂ */

	/* usbhost */
	NE_INVALID_ENDPOINT					=	(-20401),		/**< ُGh|Cgԍ */
	NE_INVALID_CONFIGURATION_VALUE		=	(-20402),		/**< RtBO[Vlُ */
	NE_INVALID_ALTERNATE_SETTING		=	(-20403),		/**< ֐ݒlُ */
	NE_PIPE_NOT_OPENED					=	(-20404),		/**< pCvI[vł܂ */
	NE_PIPE_BUSY						=	(-20405),		/**< pCvrW[ */
	NE_PIPE_ALREADY_TRANSFER			=	(-20406),		/**< pCvŊɓ]Ă܂ */
	NE_PIPE_INVALID_TRANSFER_TYPE		=	(-20407),		/**< ]ʂُ */
	NE_NO_DESCRIPTOR					=	(-20408),		/**< fBXNv^Ȃ */
	NE_NO_CONFIGURATION					=	(-20409),		/**< RtBO[VȂ */
	NE_NO_ENDPOINT						=	(-20410),		/**< Gh|CgȂ */
	NE_NO_URB_RESOURCE					=	(-20411),		/**< tqä悪Ȃ */
	NE_NO_MEMORY_RESOURCE				=	(-20412),		/**< ]p̈悪Ȃ */
	NE_NO_PIPE_RESOURCE					=	(-20413),		/**< pCv̈悪Ȃ */
	NE_NO_DEVICE_RESOURCE				=	(-20414),		/**< foCẌ悪Ȃ */
	NE_NO_DRIVER_RESOURCE				=	(-20415),		/**< hCö悪Ȃ */
	NE_NO_EXTENSION_RESOURCE			=	(-20416),		/**< foCXg̈悪Ȃ */
	NE_NO_HCI							=	(-20417),		/**< Rg[܂ */
	NE_NO_DEVICE_ADDRESS				=	(-20418),		/**< foCXAhX܂ */
	NE_NO_INTERFACE						=	(-20419),		/**< C^[tFCX܂ */
	NE_NO_PORT							=	(-20420),		/**< |[gȂ */
	NE_NO_PIPE							=	(-20421),		/**< pCvȂ */
	NE_NO_TX_PIPE						=	(-20422),		/**< MppCvȂ */
	NE_NO_RX_PIPE						=	(-20423),		/**< MppCvȂ */
	NE_NO_BULK_PIPE						=	(-20424),		/**< oNpCvȂ */
	NE_NO_BULK_TX_PIPE					=	(-20425),		/**< MpoNpCvȂ */
	NE_NO_BULK_RX_PIPE					=	(-20426),		/**< MpoNpCvȂ */
	NE_NO_INTERRUPT_PIPE				=	(-20427),		/**< C^vgpCvȂ */
	NE_NO_INTERRUPT_TX_PIPE				=	(-20428),		/**< MpC^vgpCvȂ */
	NE_NO_INTERRUPT_RX_PIPE				=	(-20429),		/**< MpC^vgpCvȂ */
	NE_NOT_CONTROL_PIPE					=	(-20430),		/**< Rg[pCvłȂ */
	NE_NOT_BULK_PIPE					=	(-20431),		/**< oNpCvłȂ */
	NE_NOT_INTERRUPT_PIPE				=	(-20432),		/**< C^vgpCvłȂ */
	NE_MPS_ZERO							=	(-20433),		/**< őpPbgTCYO */
	NE_ACTUAL_LENGTH_SHORT				=	(-20434),		/**< ]TCY */
	NE_CONFIGURATION_BUFFER_OVER		=	(-20435),		/**< ۂ̃TCYRtBO[Vobt@傫 */
	NE_FAILED_ENUMERATION				=	(-20436),		/**< Gj[Vs */

	NE_URB								=	(-20500),		/**< tqaG[i-0 ` -14j */
	NE_URB_NOT_DONE						=	(-20500),		/**< tqa͊ĂȂ */
	NE_URB_NORMAL_COMPLETION			=	(-20501),		/**< tqa͒ʏ튮 */
	NE_URB_CANCELING					=	(-20502),		/**< tqa̓LZ */
	NE_URB_CANCELED						=	(-20503),		/**< tqa̓LZꂽ */
	NE_URB_ERROR_STALL					=	(-20504),		/**< Gh|CgXg[ */
	NE_URB_ERROR_DEVICE_NOT_RESPONDING	=	(-20505),		/**< foCX牞Ȃ */
	NE_URB_ERROR_UNKNOWN				=	(-20506),		/**< sȃG[ */
	NE_URB_ERROR_CRC					=	(-20507),		/**< bqbG[ */
	NE_URB_ERROR_BIT_STUFFING			=	(-20508),		/**< rbgX^btBOᔽ */
	NE_URB_ERROR_DATA_TOGGLE_MISMATCH	=	(-20509),		/**< f[^gOsv */
	NE_URB_ERROR_PID_CHECK_FAILURE		=	(-20510),		/**< ohc`FbNɎs */
	NE_URB_ERROR_UNEXPECTED_PID			=	(-20511),		/**< \Ȃohc */
	NE_URB_ERROR_DATA_RUN				=	(-20512),		/**< f[^obt@z */
	NE_URB_ERROR_BUFFER_OVERRUN			=	(-20513),		/**< Rg[f[^ނ葬f[^M */
	NE_URB_ERROR_BUFFER_UNDERRUN		=	(-20514),		/**< Rg[f[^ôԂɍȂ */
};

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif	/* SINGLEHOSTERROR_H__ */
