/**********************************************************************/
/**
 * @ingroup mini-FILE
 * @file driverif.h
 * hCoph^e֘Ãwb_t@C
 *
 * @author T.Negishi
 * $Date: 2007/03/27 00:00:00 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2007 Interface Inc. All Rights reserved.
 * 
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2007/12/19 ITF Negishi   VK쐬
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef __DRIVERIF_H__
 #define __DRIVERIF_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/

/**********************************************************************/
/** hCoNGXg.
 * hCo֑΂vʃf[^
 */
enum {
	DEVICE_ENTRY=0,													/**< hCoGg */
	DEVICE_RELEASE,													/**< hCo[X */
	DEVICE_READ,													/**< ZN^[h */
	DEVICE_WRITE,													/**< ZN^Cg */
	DEVICE_MOUNT,													/**< }Eg */
	DEVICE_UNMOUNT,													/**< A}Eg */
	DEVICE_IOCTRL													/**< gpIO_CONTROL(gp) */
};

/**********************************************************************/
/** gpI/ORg[NGXgD
 * hCo֑΂gpI/ORg[vʃf[^(gp)
 */
enum {
	IOCTRL_FORMAT=0,												/**< tH[}bgv */
	IOCTRL_INQUIRY,													/**< INQUIRYv */
	IOCTRL_SEEK,													/**< V[Nv */
	IOCTRL_EJECT,													/**< ov */
	IOCTRL_FLUSH													/**< ov */
};

/**********************************************************************/
/** [h^CgZN^p[^.
 * ZN^[hACgɃhCo[ɓnp[^\
 */
typedef	struct {
	uint8_t 		*buf;											/**< f[^obt@|C^ */
	uint32_t		count;											/**< ANZXZN^ */
	uint32_t		start;											/**< JnZN^No. */
} DRV_RDWR;

/**********************************************************************/
/** hCoGgp[^D<br>
 * hCõGgp̃p[^\
 */
typedef	struct {
	void (*callback)( int8_t, int32_t, int8_t );					/**< }Cxgo^p[^ */
#ifdef __mini_USBHostSTR__
	void (*async_callback)( ISTATUS );								/**< 񓯊^ʒm̃R[obN֐ */
#endif
} DRV_ENTRY;


/**********************************************************************/
/** gp.
 */
typedef	struct {
	uint8_t			reqfunc;										/**< IOCTRL̗v */
	void			*param;											/**< gpp[^ */
	uint32_t		size;											/**< p[^TCY(*param) */
}DRV_IOCTRL;

/**********************************************************************/
/** hCov.
 * hCo[ւ̗v߂̍\
 */
typedef	struct	device_srhead {
	uint8_t			reqfunc;										/* v */
	uint8_t			deviceno;										/* foCXʔԍ */
	int32_t			driverno;										/* hCoʔԍ */
	union comm {
		DRV_ENTRY		entry;										/**< hCoGgp[^ */
		DRV_RDWR		rdwr;										/**< [hCgp[^	*/
		DRV_IOCTRL		ioctrl;										/**< gpIO CTRL	*/
	}com;
}SRHEAD;


/**********************************************************************/
/** tf[^\.
 * ԃhCoւ̗v߂̍\
 */
typedef	struct	_dosdate_t{
	uint8_t			day;											/**<      (1`31) */
	uint8_t			month;											/**<      (1`12) */
	uint16_t		year;											/**< N     (1980`2107) */
	uint8_t			dayweek;										/**< j   (0`6)gp */
}DOSDATE;

/**********************************************************************/
/** ԃf[^\.
 * ԃhCoւ̗v߂̍\
 */
typedef	struct	_dostime_t{
	uint8_t			hour;											/**<      (0`23) */
	uint8_t			minute;											/**<      (0`59) */
	uint8_t			second;											/**< b     (0`59) */
	uint8_t			hsecond;										/**< 1/100b(0`99) gp */
}DOSTIME;

/**********************************************************************/
/** t^ԃf[^\.
 * ԃhCoւ̎ԁ^tf[^̗v߂̍\
 */
typedef struct {
	DOSDATE			date;											/**< tf[^ */
	DOSTIME			time;											/**< ԃf[^ */
}FILERTC;

/**********************************************************************/
/** hCo֐`.
 * hCoGg֐̍\`
 */
typedef ISTATUS (*DiskDriver)(SRHEAD*);								/**< hCo[֐|Cg	*/


/*------------------------------------------*/
/*				Jϐ					*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				J֐					*/
/*------------------------------------------*/
void	get_clock( DOSDATE *, DOSTIME * );							/**< Ԏ擾hCo */

#endif /* __DRIVERIF_H__ */
