/**********************************************************************/
/**
 * @ingroup mini-FILE
 * @file itffileconfig.h
 * t@CVXep̃RtBO[Vwb_t@C
 *
 * @author T.Negishi
 * $Date: 2007/03/27 00:00:00 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2007 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2007/12/19 ITF Negishi   VK쐬
 * 001 01.02 C 2009/05/04 ITF Negishi   d`}~悤ɏC
 * 002       ǉ 2009/09/02 ITF Negishi   OSgp^gp̃RpCIvVVɒ`
 * 003 01.03 C 2010/10/20 ITF Negishi   t@C^tpX̍ő啶񒷂ύX(252255)
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef __ITFFILECONFIG_H__
 #define __ITFFILECONFIG_H__


#ifndef _MACRO_ONLY
#include "itflib.h"
#endif



/*
	nr̎gp^gp̐ݒ
		itfconfig.hŒ`ĂeƂɁAt@CVXep
		ݒ肪Iɐݒ肳܂ł́A{Iɂ͐ݒύXKv͂܂B

*/
#if (defined(__KERNEL_NORTI_V4__) || defined(__KERNEL_UC3_COMPACT__) || defined(__KERNEL_TOPPERS__))
	#define __FILE_OS_USED__
#else
	#define __FILE_OS_UNUSED__
#endif



/*
	ue`sΉݒ
		VFAT(Ot@C)Ή̉ۂIo܂B
		u__VFAT_ASCII__vݒ̏ꍇ́AR[hT|[gƂ܂܁A
		Ot@CT|[g邱Ƃo܂B
		iu__VFAT__vw̏ꍇ́A100KB߂ROM̈̕KvƂȂ܂j

*/

#if ( !defined(__VFAT__) && !defined(__VFAT_ASCII__) )
	#define __VFAT_ASCII__
/*	#define __VFAT__*/
#endif

#if ( defined(__VFAT__) && defined(__VFAT_ASCII__) )
	#undef __VFAT_ASCII__
#endif



/*
	[oufBXN(})̑Ή^Ή̐ݒ
		dnmԂł̃fBA̔}ɑΉ邩ۂ̐ݒsƂo܂B
		USBXg[WfoCXɑΉꍇ̓[oufBXNւ̑ΉƂKv܂B

*/

#if ( !defined(__UNREMOVABLE_DISK__) && !defined(__REMOVABLE_DISK__) )
	/* #define __UNREMOVABLE_DISK__ */
	#define __REMOVABLE_DISK__
#endif

#if ( defined(__UNREMOVABLE_DISK__) && defined(__REMOVABLE_DISK__) )
	#undef __UNREMOVABLE_DISK__
#endif



/*
	I[v\t@C
		̐ݒύX邱ƂŁAI[v\ȃt@C𐧌邱Ƃo܂B
		ݒlPɕtPVOoCgRAM̈悪KvƂȂ܂B
		("__FILE_PATH_LENGTH__"̐ݒlftHgԂ瑝₵ĂƁA̕Z܂)

*/

#if ( !defined(__FILE_COUNT__) )
	#define		__FILE_COUNT__				1
#elif (__FILE_COUNT__ < 1)
	#undef		__FILE_COUNT__
	#define		__FILE_COUNT__				1
#endif



/*
	LbVTCYݒ
		̐ݒύX邱ƂŁAfBXNANZX̉񐔂y܂AʓIɁA
		ptH[}Xシ邱Ƃo܂B
		ݒlPɕtTQOoCgRAM̈悪KvƂȂ܂B

*/

#if ( !defined(__CACHE_COUNT__) )
	#define		__CACHE_COUNT__				10
#elif (__CACHE_COUNT__ < 1)
	#undef		__CACHE_COUNT__
	#define		__CACHE_COUNT__				10
#endif



/*
	t@C^pX̕(tpX)̏TCY
		f_open()Af_mkdir()ɂw\ȃt@C^pX(tpXw)̍ő̕B
		ݒlPɕtRoCgRAM̈悪KvƂȂ܂B
		܂AݒlPɕtQoCg̃X^bN̈悪KvƂȂ܂̂ŁAӂĉB
		ȂAVFATΉ("__VFAT__"A"__VFAT_ASCII__"̂Âw肵Ȃ)̏ꍇ́A
		̐ݒĺAӖ܂B

*/

#if ( !defined(__FILE_PATH_LENGTH__) )
	#define		__FILE_PATH_LENGTH__		79
#endif
#ifdef __FILE_PATH_LENGTH__
 #if ((__FILE_PATH_LENGTH__ < 1)||(__FILE_PATH_LENGTH__ > 255))||( !defined(__VFAT__) && !defined(__VFAT_ASCII__) )
	#undef		__FILE_PATH_LENGTH__
	#define		__FILE_PATH_LENGTH__		79
 #endif
#endif



/*
	xݑΉ
		svȃfBXNANZXy邽߂ɁAx݂sݒ
		邱Ƃo܂B
		AxݖߗpɓAPIR[邱ƂKvƂȂ܂B

*/

#if ( !defined(__HIGH_PERFORMANCE__) )
/*	#define __HIGH_PERFORMANCE__*/
#endif




#endif	/* __ITFFILECONFIG_H__ */
