/**********************************************************************/
/**
 * @ingroup mini-FILE
 * @file itffileerror.h
 * mini-FILE G[R[hwb_t@C
 *
 * @author T.Negishi
 * $Date: 2007/03/27 00:00:00 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2007 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2007/12/19 ITF Negishi   VK쐬
 * 001 01.02 ǉ 2009/05/04 ITF Negishi   uFILES_END_OF_FILEvǉ
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef __ITFFILEERROR_H__
 #define __ITFFILEERROR_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/


/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/


/* error code of usb host */
enum {
	/* FileSystemG[ */
	FILES_SYSTEM_ERROR					=	(-10001),		/* mۂ̃G[(vIG[) */

	FILES_DRIVER_NODISK					=	(-10101),		/* fBA݂Ȃ(hCom) */
	FILES_DRIVER_MOUNTERROR				=	(-10102),		/* }Eg̎s(hCom) */
#ifdef __mini_USBHostSTR__
	FILES_DRIVER_INCOMPLETE				=	(-10103),		/* hCoł̏p(hCom) */
	FILES_DRIVER_BUSY					=	(-10104),		/* hCoł̏󂯕t(hCom) */
#endif

	FILES_DISK_ACCESS_ERROR				=	(-10201),		/* fBXNANZXG[(FileSysytemm)
															 *  hCoɑ΂郊[h^CgvŁA
															 *  "FILES_DRIVER_NODISK"ȊÕG[ꍇ
															 *  ̃G[Ń[U[AvP[VɕԂ
															 */
	FILES_DISK_NOT_SPACE				=	(-10202),		/* fBXNt */
	FILES_DISK_ACCESS_DENIED			=	(-10203),		/* ANZX */

	FILES_DISK_INVALID_FORMAT			=	(-10205),		/* fBXÑtH[}bgُ */

	FILES_PARAMETER_ERROR				=	(-10301),		/* p^[G[ */
	FILES_PATHNAME_ERROR				=	(-10302),		/* pXwُ */
	FILES_DRIVELETTER_OVER				=	(-10303),		/* hCu^[蓖ĉ\Ȕ͈̓I[o[ */

	FILES_SEEK_FILEOVER					=	(-10401),		/* t@CTCY𒴂V[N */
	FILES_USED_DIR						=	(-10402),		/* 폜fBNg̓t@C݂ */
	FILES_KILL_ROOT						=	(-10403),		/* [gfBNg폜悤Ƃ */
	FILES_KILL_CURRENT					=	(-10404),		/* JgfBNg폜悤Ƃ */
	FILES_PATH_ALREADY					=	(-10405),		/* pX^t@Cɑ݂ */
	FILES_PATH_NOTFIND					=	(-10406),		/* pX^t@C݂Ȃ */
	FILES_END_OF_FILE					=	(-10407)		/* t@C̏I[̌o(f_read()̂) */
};

/*------------------------------------------*/
/*				֐						*/
/*------------------------------------------*/

#endif	/* __ITFFILEERROR_H__ */
