/**********************************************************************/
/**
 * @file serial.h
 * ITF-SingleHost TvVAW[
 *
 * @author T.Tanaka
 * $Date: 2013/04/01 $
 * $Revision: $
 *
 * Copyright (c) 2013 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2013/04/01 ITF Tanaka    VK쐬
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef SERIAL_H__
#define SERIAL_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/
#include "itflib.h"

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/
typedef void (*SERIAL_POLLING)(void);

/*------------------------------------------*/
/*				Jϐ					*/
/*------------------------------------------*/
ibool Serial_Init(uint8_t id, uint32_t baudrate, uint8_t bit, uint8_t parity, uint8_t stop, SERIAL_POLLING polling);
ibool Serial_Puts(uint8_t id, const char* buf);
ibool Serial_Get(uint8_t id, char* buf);

#endif /* SERIAL_H__ */
