/**********************************************************************/
/**
 * @ingroup ITFLIB
 * @file itfconfig.h
 * ITFLIBCu RtBO[Vt@C.
 *
 * @author M.Furuta
 * $Date: 2004/11/08 08:05:59 $
 * $Revision: 1.1.1.1 $
 *
 * Copyright (c) 2003-2009 Interface Inc. All Rights reserved.
 * 
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2004/02/20 ITF Furuta     VK쐬
 * 001 01.01 ύX 2004/09/07 ITF Takasaki   SRtBORpCIvVɑΉB
 * 002 01.03 ύX 2005/03/02 ITF Takasaki   #else if -> #elifB
 * 003 01.04 ǉ 2005/04/15 ITF Takasaki   CPŨRtBOɁu__CPU_SH7760__vƁu__CPU_OTHER__vǉB
 * 004 01.13 ǉ 2009/06/08 ITF Takasaki   u__KERNEL_UC3_COMPACT__vǉB
 * 005 XX.XX C 2011/08/29 ITF Mizuno     MB9BF506Ή̂ߏC
 * 006 XX.XX ύX 2011/09/01 ITF Mizuno     ITFFilẽRpCIvV(__SingleHostSTR__)̒`ǉB
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef __ITFCONFIG_H__
#define __ITFCONFIG_H__
#ifdef __cplusplus
extern "C" {
#endif

#define __SingleHostSTR__

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/
/*
	bot
		Renesas SH7727		F u__CPU_SH7727__v
		Renesas SH7751R		F u__CPU_SH7751__v
		Renesas SH7760		F u__CPU_SH7760__v
		̑CPU			F u__CPU_OTHER__v
*/
#if !(defined(__CPU_SH7727__) || defined(__CPU_SH7751__) || defined(__CPU_SH7760__) || defined(__CPU_OTHER__))
 /*#define __CPU_SH7727__*/
 /*#define __CPU_SH7751__*/
 /*#define __CPU_SH7760__*/
 /*#define __CPU_OTHER__*/
 #define __CPU_MB9BF506__
#endif

/*
	GfBA

		gGfBA		F u__LITTLE_ENDIAN__v
		rbOGfBA		F u__BIG_ENDIAN__v
*/
#if !(defined(__LITTLE_ENDIAN__) || defined(__BIG_ENDIAN__))
 #define __LITTLE_ENDIAN__
 /*#define __BIG_ENDIAN__*/
#endif

/*
	nr

		Mispo NORTiV4		F u__KERNEL_NORTI_V4__v
		Toppers/jsp			F u__KERNEL_TOPPERS__v
		uC3/Compact			F u__KERNEL_UC3_COMPACT__v
		Os noting			F 錾Ȃ

*/
#if !(defined(__KERNEL_NORTI_V4__) || defined(__KERNEL_TOPPERS__) || defined(__KERNEL_UC3_COMPACT__))
 /*#define __KERNEL_NORTI_V4__*/
 #ifdef __KERNEL_NORTI_V4__
	#define V4
	#if defined(__CPU_SH7727__)
		#define SH3
	#elif (defined(__CPU_SH7751__) || defined(__CPU_SH7760__))
		#define SH4
	#endif
 #endif

 /*#define __KERNEL_TOPPERS__*/

 /*#define __KERNEL_UC3_COMPACT__*/
 #ifdef __KERNEL_UC3_COMPACT__
	#include "kernel_id.h"
 #endif
#endif

/*
	nr^C}[[mb]
		uC3/Compactgp"1"ŒB
*/
#if !(defined(ITF_MSEC))
 #define ITF_MSEC			10
#endif

/*
	p[^`FbN

		p[^`FbN	F 錾Ȃ
		p[^`FbNȂ	F u__ITFPRMNOCHK__v
*/
#if !(defined(__ITFPRMNOCHK__))
 #define __ITFPRMNOCHK__
#endif

/*
	fobO
*/
#if !(defined(__ITFDEBUG__))
 /*#define __ITFDEBUG__*/
#endif

#ifdef __cplusplus
}
#endif
#endif	/* __ITFCONFIG_H__ */
