/**********************************************************************/
/**
 * @ingroup ITFLIB
 * @file itferror.h
 * ITFLIBCu G[R[hwb_t@C.
 *
 * @author M.Furuta
 * $Date: 2004/12/03 00:41:56 $
 * $Revision: 1.3 $
 *
 * Copyright (c) 2003-2004 Interface Inc. All Rights reserved.
 * 
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2004/02/20 ITF Furuta     VK쐬
 * 001 01.03 ύX 2004/11/12 ITF Takasaki   itftypes𔽉fB
 * 002 01.03 ǉ 2004/12/03 ITF Takasaki   C++ΉB
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef __ITFERROR_H__
#define __ITFERROR_H__
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/
#include "itfos.h"


/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/
#define USE_ITERR_E_GET_ERROR_STRING_API		1			/**< G[擾`ohL(1)^(0) */


/* error code of itflib */
enum {
	IE_OK								=	(0),			/* I */
	IE_SYS								=	(-5),			/* VXeG[ */
	IE_NOSPT							=	(-9),			/* T|[g@\ */
	IE_RSFN								=	(-10),			/* \@\R[h */
	IE_RSATR							=	(-11),			/* \񑮐 */
	IE_PAR								=	(-17),			/* p[^G[ */
	IE_ID								=	(-18),			/* sIDԍ */
	IE_CTX								=	(-25),			/* ReLXgG[ */
	IE_MACV								=	(-26),			/* ANZXᔽ */
	IE_OACV								=	(-27),			/* IuWFNgANZXᔽ */
	IE_ILUSE							=	(-28),			/* T[rXR[sgp */
	IE_NOMEM							=	(-33),			/* s */
	IE_NOID								=	(-34),			/* IDԍs */
	IE_OBJ								=	(-41),			/* IuWFNgԃG[ */
	IE_NOEXS							=	(-42),			/* IuWFNg */
	IE_QOVR								=	(-43),			/* L[COI[o[t[ */
	IE_RLWAI							=	(-49),			/* ҂Ԃ̋ */
	IE_TMOUT							=	(-50),			/* |[Os܂̓^CAEg */
	IE_DLT								=	(-51),			/* ҂IuWFNg̍폜 */
	IE_CLS								=	(-52),			/* ҂IuWFNg̏ԕω */
	IE_WBLK								=	(-57),			/* mubLOt */
	IE_BOVR								=	(-58),			/* obt@I[o[t[ */
	IE_INOSPT							=	(-97),			/* T|[g */
};

/*------------------------------------------*/
/*				֐						*/
/*------------------------------------------*/
#if (USE_ITERR_E_GET_ERROR_STRING_API)
 const int8_t *ITERR_e_get_error_string(ITER err);		/**< G[o */
#else
 #define ITERR_e_get_error_string	((const int8_t *)NULL)
#endif

#ifdef __cplusplus
}
#endif
#endif	/* __ITFERROR_H__ */
