/**********************************************************************/
/**
 * @ingroup SINGLEHOST_API
 * @file singlehost.h
 * ITF-SINGLEHOST API.
 *
 * @author  z
 * $Date: 2005/07/01 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2005-2006 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2005/07/01 ITF Endo      VK쐬
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef SINGLEHOST_H__
#define SINGLEHOST_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/

/* ITF-SingleHost [Uݒ */
#include "singlehostconfig.h"

/* ITF-SingleHost R[h` */
#include "singlehostcode.h"

/* ITF-SingleHost G[R[h` */
#include "singlehosterror.h"

/* ITF-SingleHost API */
#include "singlehostapi.h"

#if __UCD_HID_KEYBOARD__
/* ITF-SingleHost HID NX API */
#include "singlehosthidapi.h"
#endif

#if __UCD_SCD__
/* ITF-SingleHost Xg[WNX API */
#include "singlehostscdapi.h"
#endif

#endif	/* SINGLEHOST_H__ */
