/**********************************************************************/
/**
 * @ingroup SINGLEHOST_API
 * @file singlehostcode.h
 * ITF-SINGLEHOST CxgR[h`t@C.
 *
 * @author  z
 * $Date: 2005/07/01 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2005-2006 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2005/07/01 ITF Endo      VK쐬
 * 001 01.11 ύX 2007/12/13 ITF Endo      ϐ̌^C
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef SINGLEHOSTCODE_H__
#define SINGLEHOSTCODE_H__

#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/

/**
 * @brief NXR[h
 */
enum {
	NCLASS_USB_DEVICE = 0,		/**< NXR[h USB foCXNX             */
	NCLASS_USB_HUB,				/**< NXR[h USB HUBNX                  */
	NCLASS_USB_HID,				/**< NXR[h USB HIDNX                  */
	NCLASS_USB_HID_KEYBOARD,	/**< NXR[h USB L[{[hNX           */
	NCLASS_USB_HID_MOUSE,		/**< NXR[h USB }EXNX               */
	NCLASS_USB_PRINTER,			/**< NXR[h USB v^NX             */
	NCLASS_USB_STORAGE,			/**< NXR[h USB Xg[WNX           */
	NCLASS_USB_SERIAL_ITF,		/**< NXR[h USB hse|qrQRQbNX */
	NCLASS_USB_USER				/**< NXR[h [U[`NX             */
};

/**
 * @brief CxgR[h
 */
enum {
	/* foCXʒmnCxg */
	NC_EVENT_CONNECT = 1,		/**< foCXڑ
								 *		3p[^ : gp
								 */
	NC_EVENT_DISCONNECT,		/**< foCXؒf
								 *		3p[^ : gp
								 */
	NC_EVENT_WAKEUP_REQUEST,	/**< EFCNAbvv
								 *		3p[^ : gp
								 */
	NC_EVENT_RESET_COMPLETE,	/**< Zbg
								 *		3p[^ : gp
								 */
	NC_EVENT_SUSPEND_COMPLETE,	/**< TXyh
								 *		3p[^ : gp
								 */
	NC_EVENT_REQUEST_COMPLETE,	/**< NGXg
								 *		3p[^ : io_overlapped_result_t ^ 1f[^
								 */

	/* ͌n (L[{[h) Cxg */
	NC_EVENT_KEY_DOWN,			/**< L[_E
								 *		3p[^ : uint8_t ^ 1f[^
								 *						́AL[_Eꂽf[^łB
								 */
	NC_EVENT_KEY_UP,			/**< L[Abv
								 *		3p[^ : uint8_t ^ 1f[^
								 *						́AL[Abvꂽf[^łB
								 */
	NC_EVENT_CTL_KEY_DOWN,		/**< L[_E
								 *		3p[^ : uint8_t ^ 1f[^
								 *						́AL[_Eꂽf[^łB
								 */
	NC_EVENT_CTL_KEY_UP,		/**< L[Abv
								 *		3p[^ : uint8_t ^ 1f[^
								 *						́AL[Abvꂽf[^łB
								 */

	/* ͌ni}EXjCxg */
	NC_EVENT_BTN_DOWN,			/**< {^_E
								 *		3p[^ : uint8_t ^ 1f[^
								 *						́A{^_Eꂽf[^łB
								 */
	NC_EVENT_BTN_UP,			/**< {^Abv
								 *		3p[^ : uint8_t ^ 1f[^
								 *						́A{^Abvꂽf[^łB
											 */

	NC_EVENT_POS_X,				/**< Xړ
								 *		3p[^ : int8_t ^ 1f[^
								 *						́AẌړʂłB
								 */
	NC_EVENT_POS_Y,				/**< Yړ
								 *		3p[^ : int8_t ^ 1f[^
								 *						́AŸړʂłB
								 */
	NC_EVENT_POS_WHEEL,			/**< zC[ړ
								 *		3p[^ : int8_t ^ 1f[^
								 *						́AzC[̈ړʂłB
								 */

	/* L[{[hpkdcCxg */
	NC_EVENT_KEY_LED,			/**< LEDύX
								 *		3p[^ : uint8_t ^ 1f[^
								 *						́A LED ̃f[^łB
								 *						Usb_Kbd_Set_Led() ̊ʒmƂȂ܂B
								 *							 : XVꂽ LED f[^B
								 *							s : ȑO LED f[^B
								 */

	/* G[CxgifobOpj */
	NC_EVENT_FATAL_ERROR,		/**< vIȃG[
								 *		3p[^ : gp
								 */
};

#endif	/* SINGLEHOSTCODE_H__ */
