/**********************************************************************/
/**
 * @ingroup SINGLEHOST_API
 * @file singlehostconfig.h
 * ITF-SINGLEHOST `.
 *
 * @author  z
 * $Date: 2005/07/01 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2005-2006 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2005/07/01 ITF Endo      VK쐬
 * 001 01.01 ύX 2005/07/11 ITF Endo      ő^C}, őUSB_EVENT,
 *                                         foCX/RtBO[VfXNv^obt@TCY
 *                                         ݒ폜 (JɕύX)
 * 002 01.04 ύX 2005/12/07 ITF Endo      ^C}ʒm̐ݒǉ
 * 003 01.04 ύX 2005/12/25 ITF Endo      NORTiΉ̊^XNōsnh
 *                                         s̐ݒǉ
 * 004 01.06 ύX 2005/03/03 ITF Endo      DMAgpݒǉ
 * 005 01.07 ύX 2006/05/30 ITF Endo      NUSB_MAX_CONTROL̐ݒ폜
 * 006 01.10 ύX 2006/06/21 ITF Endo      zXgRg[ݒ(__USE_HOST_M66596__)ǉ
 * 007 01.11 ύX 2006/12/11 ITF Endo      __UCD_SCD__ ftHg 0  1 ɕύX
 * 008 01.11 ύX 2006/12/11 ITF Endo      USER_MAX_SUPPORT_CLASS gpNX`̘aɕύX
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef SINGLEHOSTCONFIG_H__
#define SINGLEHOSTCONFIG_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/

#include "itflib.h"

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/

/**
 * @name	gpNX`
 *
 *			gpNX 1 , gpȂNX 0 ɐݒ肷.
 *
 * @{
 */
#if !(defined (__UCD_HID_KEYBOARD__))
#define __UCD_HID_KEYBOARD__			(0)
/* #define __UCD_HID_KEYBOARD__			(1) */
#endif

#if !(defined (__UCD_HID_MOUSE__))
#define __UCD_HID_MOUSE__				(0)
/* #define __UCD_HID_MOUSE__			(1) */
#endif
#if !(defined (__UCD_SCD__))
/* #define __UCD_SCD__					(0) */
#define __UCD_SCD__						(1)
#endif
/**
 * @}
 */

/**
 * @brief	T|[gőNX
 *
 *			gpNX` 1 ɐݒ肵NX̌
 *			[U`̃NX̌vlݒ肷.
 */
#if !(defined (USER_MAX_SUPPORT_CLASS))
#define USER_MAX_SUPPORT_CLASS (__UCD_HID_KEYBOARD__ + __UCD_HID_MOUSE__ + __UCD_SCD__)
#endif

/**
 * @brief	CxgR[obN̐錾
 *
 *			CxgR[obN̐錾Lq, USER_CALLBACK Ɋ֐ݒ肷.
 */
void Event_Callback(ihandle, int32_t, void*);

/**
 * @brief	CxgR[obN
 *
 *			CxgR[obN̊֐ݒ肷.
 */
#define USER_CALLBACK Event_Callback

/**
 * @brief CxgʒmݒIl
 */
enum {
	EVENT_NOTIFY_POLL,
	EVENT_NOTIFY_INTR
};

/**
 * @brief	Cxgʒmݒ
 *
 *			Cxgʒm̕@I.
 *			ݒl͎̒ʂ.
 *			- EVENT_NOTIFY_POLL : |[OɂCxgʒm
 *			                      (USB ̓Rg[hCô)
 *			- EVENT_NOTIFY_INTR : ɂCxgʒm
 *			                      (USB ŃAvP[Vւ̃R[obN܂Ŏs)
 *
 * @note	EVENT_NOTIFY_INTR ͖T|[g.
 */
#define USER_EVENT_NOTIFY EVENT_NOTIFY_POLL

/**
 * @brief	őGh|Cg
 *
 *			ő̃Gh|Cgݒ肷.
 *
 *			ő DCP, OUT 1 ` 15, IN 1 ` 15  31 ̃Gh|CgKvƂȂ.
 *			ڑfoCX̃Gh|Cg܂Ăꍇ͒lĂ悢.
 *
 *			ݒl 1 グ邲ƂɃoXhCo 28 oCg̗̈悪KvƂȂ.
 *			܂, Rg[hCoł{ݒɂ̈KvƂꍇ.
 */
#define NUSB_MAX_ENDPOINT	31

/**
 * @brief	ő URB 
 *
 *			ő URB ݒ肷.
 *
 *			ɔs񓯊̗vȏ̒lݒ肷Kv.
 *
 *			ݒl 1 グ邲Ƃ 72 oCg̗̈悪KvƂȂ.
 */
#define NUSB_MAX_URB		12

/**
 * @brief	őC^[tF[X
 *
 *			ڑfoCX̍ő̃C^[tF[Xݒ肷.
 *
 *			ݒl 1 グ邲Ƃ
 *			NUSB_MAX_ALTERNATE * (NUSB_MAX_ENDPOINT * 8 + 8) + 28 oCg̗̈悪KvƂȂ.
 */
#define NUSB_MAX_INTERFACE	2

/**
 * @brief	ő֐ݒ萔
 *
 *			ڑfoCX̊eC^[tF[X̑֐ݒ萔̍őlݒ肷.
 *
 *			ݒl 1 グ邲Ƃ
 *			NUSB_MAX_INTERFACE * (NUSB_MAX_ENDPOINT * 8 + 8) oCg̗̈悪KvƂȂ.
 */
#define NUSB_MAX_ALTERNATE	4

/**
 * @brief	C^[tF[XőGh|Cg
 *
 *			ڑfoCX̊eC^[tF[X̑֐ݒ̃Gh|Cg̍őlݒ肷.
 *
 *			ݒl 1 グ邲Ƃ
 *			NUSB_MAX_INTERFACE * NUSB_MAX_ALTERNATE * 8 oCg̗̈悪KvƂȂ.
 */
#define NUSB_MAX_IF_ENDPOINT	6

/**
 * @brief	^C}
 *
 *			Usb_Host_Notify_Timer() Ăяo ms PʂŐݒ肷.
 *			OS Ή̏ꍇ, [U͐ݒ肵 Usb_Host_Notify_Timer() 
 *			ĂяoKv.
 *
 *			ݒl 1 ȏ 100 ȉ, OS Ή̏ꍇ ITF_MSEC ̐{ƂKv.
 */
#if (defined(__KERNEL_NORTI_V4__) || defined(__KERNEL_TOPPERS__))
	#define NUSB_TIMER_INTERVAL	ITF_MSEC
#else
	#define NUSB_TIMER_INTERVAL	10
#endif

/**
 * @brief	^XNɂ銄
 *
 *			OS Ή̏ꍇ, ^XNōsnhł
 *			^XN̋N݂̂sꍇ, USER_OS_USE_INTR_TASK w肷.
 */
#if (defined(__KERNEL_NORTI_V4__) || defined(__KERNEL_TOPPERS__))
	#if !defined (USER_OS_USE_INTR_TASK)
		/*#define USER_OS_USE_INTR_TASK*/
	#endif
#endif

/**
 * @brief	DMA gpݒ
 *
 *			DMA gpȂꍇ 0 , gpꍇ 1 w肷.
 */
#if !(defined (USER_DMA_ENABLE))
/*#define USER_DMA_ENABLE	0*/
#define USER_DMA_ENABLE		1
#endif

/**
 * @brief	zXgRg[ݒ
 *
 *			zXgRg[Ƃ M66596 gpꍇ __USE_HOST_M66596__ w肷.
 */
#if !defined (__USE_HOST_M66596__)
	/*#define __USE_HOST_M66596__*/
#endif

#endif /* SINGLEHOSTCONFIG_H__ */
