/**********************************************************************/
/**
 * @ingroup SINGLEHOST_API
 * @file singlehostscdapi.h
 * ITF-SINGLEHOSTCu USB-MassStorageClassDriver API`t@C.
 *
 *
 * @author T.Mizuno
 * $Date: 2005/07/01 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2005-2006 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2005/07/01 ITF Mizuno     VK쐬
 * 001 01.11 ύX 2007/12/13 ITF Endo       MSC gpȂݒ̂ƂɃRpCG[
 *                                          ȂȂ悤C
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef SINGLEHOSTSCDAPI_H__
#define SINGLEHOSTSCDAPI_H__
#ifdef __cplusplus
extern "C" {
#endif

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/

#include "itflib.h"
#include "singlehostconfig.h"

#if __UCD_SCD__

#include "DriverIF.h"

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				Jϐ					*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				J֐					*/
/*------------------------------------------*/

istatus Scd_Driver( SRHEAD *);

#else

#define Scd_Driver(p)	(NE_NOT_SUPPORTED)

#endif /* __UCD_SCD__ */

#ifdef __cplusplus
}
#endif
#endif	/* SINGLEHOSTSCDAPI_H__ */
