/**********************************************************************/
/**
 * @ingroup mini-FILE
 * @file fsys_vfat.h
 * VFATpwb_
 *
 * @author T.Negishi
 * $Date: 2007/03/27 00:00:00 $
 * $Revision: 1.0 $
 *
 * Copyright (c) 2007 Interface Inc. All Rights reserved.
 *
 * <pre>
 * --------------------------------------------------------------------
 * ύX
 *  +-------------- ԍ (000 ` 999)
 *  |	  +--------- CĂVXeo[W
 *  |	  | 	+--- VKAύXAǉA폜̕
 *  v	  v 	v
 *  No  Ver   N	  O			
 * ---+-----+----+----------+-------------+----------------------------
 * 000 01.00 VK 2007/12/19 ITF Negishi   VK쐬
 * ---+-----+----+----------+-------------+----------------------------
 * </pre>
 */
/**********************************************************************/
#ifndef __FSYS_VFAT_H__
 #define __FSYS_VFAT_H__

/*------------------------------------------*/
/*				CN[h				*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				錾						*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				Jϐ					*/
/*------------------------------------------*/

/*------------------------------------------*/
/*				J֐					*/
/*------------------------------------------*/
#ifndef __DYNAMIC_MEMORY__
void	vfat_init( void );
#else
void	vfat_init( uint8_t ** );
#endif
int16_t	vfat_namecomp( DIR_ENTRY **, int8_t *, int8_t * );
int8_t	vfat_make_sum( int8_t * );
int16_t	vfat_nametrans( uint8_t **, uint8_t *, uint8_t * );
int8_t	sjis_to_utf16( uint8_t *, uint8_t *, uint16_t * );
int8_t	utf16_to_sjis( int8_t *, int8_t * );
#ifdef __SEQUENCE_WRITE__
int16_t vfat_checkshortname( uint8_t *, DIR_ENTRY * );
#endif

#endif /* __FSYS_VFAT_H__ */
